Skip to navigation

Using the fence_vmware_soap fence agent against VMWare VSphere or ESXi fails with "Unable to obtain correct plug status or plug is not available" in RHEL

Updated 2014-04-21T14:23:25+00:00

Issue

  • When I attempt to fence a node with fence_vmware_soap, I get the following error:

        Unable to obtain correct plug status or plug is not available
    

Environment

  • Red Hat Enterprise Linux (RHEL) 5.6+ with the High Availability Add on
  • Red Hat Enterprise Linux (RHEL) 6.2+ with the High Availability Add on
  • fence_vmware_soap as the configured fenced agent
  • VMWare ESXi / vSphere 4.1, 5.0, 5.1

Subscriber content preview. For full access to the Red Hat Knowledgebase, please log in.

Not a subscriber? Learn more about the benefits of Red Hat Subscriptions.